Publicado el Deja un comentario

El módulo de impresión (printing) de GeoServer 2.5.x no funciona con capas WMS seguras

La extensión de impresión de GeoServer 2.5.1 no imprime capas seguras, sólo las capas públicas. Este problema será corregido en la versión 2.6 de GeoServer, por lo pronto podemos hacer lo siguiente para solucionar el problema.

Descargue la nueva versión de la librería  print-lib (print-lib-2.0.0.jar) de  aquí.

Pare el servidor de aplicaciones donde está instalado el GeoServer (tomcat, glassfish, jetty, etc.).

Elimine la versión actual de esa librería que se encuentra dentro de la aplicación GeoServer:

../WEB-INF/lib/print-lib-1.2-20101018133712.jar

así como la librería pvalsecc-0.9.2.jar en esa misma ubicación.

Copie el archivo jar de la versión 2.0 descargado anteriormente al mismo directorio nombrado anteriormente.

Hay que hacer unas modificaciones al archivo web.xml de GeoServer:

../WEB-INF/web.xml

Localice esta sección en el archivo anterior:

Cambie esa sección de modo que quede así:

Reinicie el servidor de aplicaciones y es todo, ya se podrán imprimir las capas seguras publicadas por Geoserver.

¡Saludos!